
from setuptools import setup, find_packages


setup(
    name='vizcovidfr',
    version='0.0.5',
    description='A python package to visualize spatial evolution of Covid19 cases in France',
    url='https://github.com/AmelieVernay/vizcovidfr',
    author='Foux Quentin ; Llinares Laurent ; Nicolas Alexandre ; Vernay Amelie',
    author_email='quentin.foux@etu.umontpellier.fr, laurent.llinares@etu.umontpellier.fr, alexandre.nicolas@etu.umontpellier.fr, amelie.vernay@etu.umontpellier.fr',
    license='MIT',
    zip_safe=False,
    packages=find_packages(include=['vizcovidfr',
                                    'vizcovidfr.loads',
                                    'vizcovidfr.preprocesses',
                                    'vizcovidfr.tests',
                                    'vizcovidfr.barplots',
                                    'vizcovidfr.regression',
                                    'vizcovidfr.prediction',
                                    'vizcovidfr.heatmaps',
                                    'vizcovidfr.line_charts',
                                    'vizcovidfr.pie_charts',
                                    'vizcovidfr.maps',
                                    'vizcovidfr.sparse']),
    classifiers=['Programming Language :: Python :: 3',
                 'License :: OSI Approved :: MIT License', ],
    install_requires=['pandas==1.2.3',
                      'pydeck==0.6.1',
                      'numpy==1.20.2',
                      'download==0.3.5',
                      'seaborn==0.11.1',
                      'geopandas==0.9.0',
                      'scipy==1.6.2',
                      'plotly==4.14.3',
                      'networkx==2.5.1',
                      'matplotlib==3.4.1',
                      'folium==0.12.1',
                      'scikit_learn==0.24.1'],
)
